package com.vazil.vridge.docs.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import nonapi.io.github.classgraph.json.Id;
import org.springframework.data.annotation.LastModifiedDate;
import org.springframework.data.annotation.Transient;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.time.LocalDateTime;

@Builder
@AllArgsConstructor
@NoArgsConstructor
@Document(value= "guide-index")
@Data
public class GuideIndex implements Serializable {
    private static final long serialVersionUID = 1928367242L;
    @Id
    private String id;
    private String locale;
    private String title;
    private Integer order;
    private String path;
    private Integer depth;
    private Integer view;
    private Integer like;

    @Transient
    private GuideIndex prevIndex;
    @Transient
    private GuideIndex nextIndex;

    private LocalDateTime createDate;
    @LastModifiedDate
    private LocalDateTime updateDate;
    private LocalDateTime deleteDate;
}
